View Issue Details

IDProjectCategoryView StatusLast Update
0020372mantisbthtmlpublic2016-12-11 12:44
ReporterdregadAssigned Todregad 
PrioritylowSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version1.3.0-rc.2Fixed in Version1.3.0-rc.2 
Summary0020372: Inline error reports should not mess up non-HTML output
Description

There are several PHP scripts in Mantis which are used to dynamically generate non-HTML content, e.g. javascript_*.php, css/common_config.php, etc.

Outputting HTML code in these files generates invalid ouput, as reported in 0020367.

Inline errors are meant to be used to inform the user of a non-critical error when using the application, we should not output them in non-HTML files.

TagsNo tags attached.

Relationships

related to 0020367 closeddregad adodb : deprecated mysql_connect() 
related to 0022031 closedcproensa RSS throws a system notice 
related to 0013048 closedcproensa Login display in small part of the View issue page 

Activities

dregad

dregad

2015-12-10 18:00

developer   ~0052097

PR for review https://github.com/mantisbt/mantisbt/pull/687

Related Changesets

MantisBT: master ab91f9eb

2015-12-10 08:12:02

dregad

Details Diff
Do not print inline errors in non-HTML output

There are several PHP scripts in MantisBT which are used to dynamically
generate non-HTML content, e.g. javascript_*.php, css/common_config.php,
etc. Printing HTML code in these files generates invalid ouput.

This commit allows these special scripts to prevent inline errors
messages from being printed by defining a constant prior to including
core.php (or the Error API), as follows:

define( 'DISABLE_INLINE_ERROR_REPORTING', true );

Fixes 0020372
mod - browser_search_plugin.php Diff File
mod - core/error_api.php Diff File
mod - css/common_config.php Diff File
mod - css/status_config.php Diff File
mod - csv_export.php Diff File
mod - excel_xml_export.php Diff File
mod - file_download.php Diff File
mod - javascript_config.php Diff File
mod - javascript_translations.php Diff File

Issue History

Date Modified Username Field Change
2015-12-10 08:11 dregad New Issue
2015-12-10 08:11 dregad Relationship added related to 0020367
2015-12-10 18:00 dregad Note Added: 0052097
2015-12-10 18:00 dregad Assigned To => dregad
2015-12-10 18:00 dregad Status new => assigned
2015-12-17 06:43 dregad Changeset attached => MantisBT master ab91f9eb
2015-12-17 06:43 dregad Status assigned => resolved
2015-12-17 06:43 dregad Resolution open => fixed
2015-12-17 06:43 dregad Fixed in Version => 1.3.0-rc.2
2016-06-12 00:43 vboctor Status resolved => closed
2016-12-11 12:34 dregad Relationship added related to 0022031
2016-12-11 12:44 dregad Relationship added related to 0013048